/*
fs.h -- filesystem access header
Copyright (C) 2005  Martin Wolters

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 

Free Software Foundation, Inc.
51 Franklin Street, Fifth Floor
Boston, MA  02110-1301
USA

You can contact the author via electronic mail by the address
'nc-wolterma4@netcologne.de'.
*/

#ifndef _FS_H_
#define _FS_H_
#define MAXFILES 255

#include "defs.h"

int iReadConfig(char *cConfFile, RULES *sTypeInfo);
int iExecute(INFO *sInfo, DIRINFO *sDirInfo, RULES *sTypeInfo);
int iGetWd(DIRINFO *sDirInfo);
int iInitDirInfo(DIRINFO *sDirInfo);

#endif

/*)\
\(*/
